import { BackupStat } from "../businessObjects/BackupStat.js";
import { ComponentStatus } from "../businessObjects/ComponentStatus.js";
import { QueryPerformanceMetrics } from "../businessObjects/QueryPerformanceMetrics.js";
import { StatSummary } from "../businessObjects/StatSummary.js";
import { EExternalApi } from "../enum/index.js";
import { IpfsCID, UnixTimestamp } from "../primitives/index.js";
import { QueryPerformanceEvent } from "packages/objects/src/businessObjects/events/query/index.js";
export declare class RuntimeMetrics {
    uptime: number;
    startTime: UnixTimestamp;
    apiCalls: Map<EExternalApi, StatSummary>;
    queriesPosted: StatSummary;
    createdBackupsTotal: StatSummary;
    createdBackupsByType: StatSummary[];
    createdBackups: BackupStat[];
    restoredBackupsTotal: StatSummary;
    restoredBackupsByType: StatSummary[];
    restoredBackups: BackupStat[];
    componentStatus: ComponentStatus;
    queryPerformanceMetrics: QueryPerformanceMetrics[];
    queryErrors: Record<IpfsCID, QueryPerformanceEvent[]>;
    constructor(uptime: number, startTime: UnixTimestamp, apiCalls: Map<EExternalApi, StatSummary>, queriesPosted: StatSummary, createdBackupsTotal: StatSummary, createdBackupsByType: StatSummary[], createdBackups: BackupStat[], restoredBackupsTotal: StatSummary, restoredBackupsByType: StatSummary[], restoredBackups: BackupStat[], componentStatus: ComponentStatus, queryPerformanceMetrics: QueryPerformanceMetrics[], queryErrors: Record<IpfsCID, QueryPerformanceEvent[]>);
}
//# sourceMappingURL=RuntimeMetrics.d.ts.map