import { ERewardType } from "../../enum/index.js";
import { ChainId, CompensationKey, IpfsCID, QueryTypes, URLString } from "../../primitives/index.js";
export declare class PossibleReward {
    readonly queryCID: IpfsCID;
    readonly compensationKey: CompensationKey;
    readonly estimatedQueryDependencies: QueryTypes[];
    readonly name: string;
    readonly image: IpfsCID | URLString | null;
    readonly description: string;
    readonly chainId: ChainId;
    readonly type: ERewardType;
    constructor(queryCID: IpfsCID, compensationKey: CompensationKey, estimatedQueryDependencies: QueryTypes[], // never use this in any business logic, because it is largely incorrect. Use this in SPA to hint at which queries the user should be giving permission to. This is only for form factors.
    name: string, image: IpfsCID | URLString | null, description: string, chainId: ChainId, type: ERewardType);
}
//# sourceMappingURL=PossibleReward.d.ts.map