import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { AccountAddress, EVMContractAddress } from "../../primitives/index.js";
export declare class ReceivingAccount extends VersionedObject {
    contractAddress: EVMContractAddress;
    receivingAddress: AccountAddress;
    static CURRENT_VERSION: number;
    constructor(contractAddress: EVMContractAddress, receivingAddress: AccountAddress);
    getVersion(): number;
}
export declare class ReceivingAccountMigrator extends VersionedObjectMigrator<ReceivingAccount> {
    getCurrentVersion(): number;
    protected factory(data: Record<string, unknown>): ReceivingAccount;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=ReceivingAccount.d.ts.map