"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RejectedInvitationMigrator = exports.RejectedInvitation = void 0;
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
/**
 * This represents an invitation that has been rejected- either temporarily or permanently
 */
class RejectedInvitation extends VersionedObject_js_1.VersionedObject {
    constructor(consentContractAddress, rejectUntil) {
        super();
        this.consentContractAddress = consentContractAddress;
        this.rejectUntil = rejectUntil;
    }
    getVersion() {
        return RejectedInvitation.CURRENT_VERSION;
    }
}
exports.RejectedInvitation = RejectedInvitation;
RejectedInvitation.CURRENT_VERSION = 1;
class RejectedInvitationMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return RejectedInvitation.CURRENT_VERSION;
    }
    factory(data) {
        return new RejectedInvitation(data["consentContractAddress"], data["rejectUntil"]);
    }
    getUpgradeFunctions() {
        return new Map([]);
    }
}
exports.RejectedInvitationMigrator = RejectedInvitationMigrator;
//# sourceMappingURL=RejectedInvitation.js.map