import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { StorageKey } from "../../enum/index.js";
import { DataWalletBackupID } from "../../primitives/index.js";
export declare class RestoredBackup extends VersionedObject {
    id: DataWalletBackupID;
    storageKey: StorageKey;
    static CURRENT_VERSION: number;
    constructor(id: DataWalletBackupID, storageKey: StorageKey);
    getVersion(): number;
}
export declare class RestoredBackupMigrator extends VersionedObjectMigrator<RestoredBackup> {
    getCurrentVersion(): number;
    protected factory(data: Record<string, unknown>): RestoredBackup;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=RestoredBackup.d.ts.map