"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestoredBackupMigrator = exports.RestoredBackup = void 0;
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
class RestoredBackup extends VersionedObject_js_1.VersionedObject {
    constructor(id, storageKey) {
        super();
        this.id = id;
        this.storageKey = storageKey;
    }
    getVersion() {
        return 1;
    }
}
exports.RestoredBackup = RestoredBackup;
RestoredBackup.CURRENT_VERSION = 1;
class RestoredBackupMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return RestoredBackup.CURRENT_VERSION;
    }
    factory(data) {
        return new RestoredBackup(data["id"], data["storageKey"]);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.RestoredBackupMigrator = RestoredBackupMigrator;
//# sourceMappingURL=RestoredBackup.js.map