"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SiteVisitMigrator = exports.SiteVisit = void 0;
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
/**
 * Represents a visit to a particular Url
 */
class SiteVisit extends VersionedObject_js_1.VersionedObject {
    constructor(url, startTime, endTime) {
        super();
        this.url = url;
        this.startTime = startTime;
        this.endTime = endTime;
    }
    getVersion() {
        return SiteVisit.CURRENT_VERSION;
    }
}
exports.SiteVisit = SiteVisit;
SiteVisit.CURRENT_VERSION = 1;
class SiteVisitMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    getCurrentVersion() {
        return SiteVisit.CURRENT_VERSION;
    }
    factory(data) {
        return new SiteVisit(data["url"], data["startTime"], data["endTime"]);
    }
    getUpgradeFunctions() {
        return new Map();
    }
}
exports.SiteVisitMigrator = SiteVisitMigrator;
//# sourceMappingURL=SiteVisit.js.map